opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Typedefs | Enumerations | Functions
highgui.hpp File Reference

Go to the source code of this file.

## Classes
class | cv::VideoCapture
class | cv::VideoWriter

## Namespaces
namespace | cv

## Typedefs
typedef void(CV_CDECL * | cv::ButtonCallback )(int state, void *userdata)
typedef void(* | cv::MouseCallback )(int event, int x, int y, int flags, void *param)
typedef void(CV_CDECL * | cv::OpenGLCallback )(void *userdata)
typedef void(CV_CDECL * | cv::TrackbarCallback )(int pos, void *userdata)

## Enumerations
enum | { cv::WINDOW_AUTOSIZE =1 }

## Functions
void | cv::addText (const Mat &img, const string &text, Point org, CvFont font)
int | cv::createButton (const string &bar_name, ButtonCallback on_change, void *userdata CV_DEFAULT(NULL), int type CV_DEFAULT(CV_PUSH_BUTTON), bool initial_button_state CV_DEFAULT(0))
void | cv::createOpenGLCallback (const string &winname, CvOpenGLCallback callbackOpenGL, void *userdata CV_DEFAULT(0))
int | cv::createTrackbar (const string &trackbarname, const string &winname, int *value, int count, TrackbarCallback onChange CV_DEFAULT(0), void *userdata CV_DEFAULT(0))
CV_EXPORTS_W void | cv::destroyWindow (const string &winname)
void | cv::displayOverlay (const string &winname, const string &text, int delayms)
void | cv::displayStatusBar (const string &winname, const string &text, int delayms)
CvFont | cv::fontQt (const string &nameFont, int pointSize CV_DEFAULT(-1), Scalar color CV_DEFAULT(Scalar::all(0)), int weight CV_DEFAULT(CV_FONT_NORMAL), int style CV_DEFAULT(CV_STYLE_NORMAL), int spacing CV_DEFAULT(0))
CV_EXPORTS_W int | cv::getTrackbarPos (const string &trackbarname, const string &winname)
CV_EXPORTS_W double | cv::getWindowProperty (const string &winname, int prop_id)
CV_EXPORTS_W Mat | cv::imdecode (const Mat &buf, int flags)
CV_EXPORTS_W bool | cv::imencode (const string &ext, const Mat &img, CV_OUT vector< uchar > &buf, const vector< int > &params=vector< int >())
CV_EXPORTS_W Mat | cv::imread (const string &filename, int flags=1)
CV_EXPORTS_W void | cv::imshow (const string &winname, const Mat &mat)
CV_EXPORTS_W bool | cv::imwrite (const string &filename, const Mat &img, const vector< int > &params=vector< int >())
void | cv::loadWindowParameters (const string &windowName)
CV_EXPORTS_W void | cv::namedWindow (const string &winname, int flags CV_DEFAULT(WINDOW_AUTOSIZE))
void | cv::saveWindowParameters (const string &windowName)
void | cv::setMouseCallback (const string &windowName, MouseCallback onMouse, void *param=0)
| assigns callback for mouse events
CV_EXPORTS_W void | cv::setTrackbarPos (const string &trackbarname, const string &winname, int pos)
CV_EXPORTS_W void | cv::setWindowProperty (const string &winname, int prop_id, double prop_value)
int | cv::startLoop (int(*pt2Func)(int argc, char *argv[]), int argc, char *argv[])
CV_EXPORTS_W int | cv::startWindowThread ()
void | cv::stopLoop ()
CV_EXPORTS_W int | cv::waitKey (int delay=0)